<template>
  <div class="connectUs">
    <div class="nav">
      <div class="heart">
        <img src="/images/connectUs/logo.png" alt="" />
        <div
          v-for="(item, index) in navList"
          class="navItem"
          :key="index"
          :class="{ active: activeNav == index }"
          @click="jump(index)"
        >
          {{ item }}
        </div>
      </div>
    </div>

    <consult></consult>
  </div>
</template>

<script>
import consult from "@/views/connectUs/components/consult";
export default {
  data() {
    return {
      activeNav: 4,
      navList: ["首页", "产品和服务", "关于我们", "联系我们", "业务咨询"],
    };
  },
  components: {
    consult,
  },
  methods: {
    jump(index) {
      this.activeNav = index;
      if (index == 0) {
        this.$router.push("/");
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.connectUs {
  .nav {
    overflow: hidden;
    height: 80px;
    background-color: #000;
    color: #fff;

    .heart {
      display: flex;
      margin-top: 18px;
      align-items: center;
    }

    img {
      margin-right: 100px;
      height: 40px;
    }

    .navItem {
      font-size: 16px;
      margin-right: 68px;
      cursor: pointer;

      &.active {
        color: #5b9bf1;
      }
    }
  }
}
</style>